Get SipTrunk Status

GET /api/v1/sip/trunk/status/{trunk_id}

Operation id: get__api_v1_sip_trunk_status_trunk_id_

Description

Get current status of the SipTrunk

Tags: SipTrunk

Parameters

Path parameters

NameTypeRequiredDescription
trunk_idintegerYesid of existing SIP Trunk

Query parameters

NameTypeRequiredDescription
tenant_idstringYestenant id of required records

Security

  • PhoenixToken-Authorization (apiKey)
    • PhoenixToken-Authorization

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
sbc_namestringNo
statusintegerNo
trunk_idintegerNo
trunk_namestringNo
updated_atstringNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "sbc_name": {
      "type": "string"
    },
    "status": {
      "type": "integer"
    },
    "trunk_id": {
      "type": "integer"
    },
    "trunk_name": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}